########## 数据库配置 ##########

#========== 开发环境 ==========
jdbc.url=jdbc:mysql://120.76.84.45:3306/kmall_pt?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8
jdbc.username=tuser
jdbc.password=Qq!123
#jdbc.url=jdbc:mysql://127.0.0.1:3306/kmall_pt?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&autoReconnect=true
#jdbc.username=root
#jdbc.password=root

jdbc.initialSize=5
jdbc.maxActive=30

jdbc.minPoolSize=2+
jdbc.maxIdleTime=30000
jdbc.idleConnectionTestPeriod=100

#---------- for hikari
jdbc.driver=org.mariadb.jdbc.Driver
jdbc.idleTimeout=400000
jdbc.maxLifetime=500000
jdbc.connectionTimeout=5000
jdbc.maximumPoolSize=5
jdbc.validationTimeout=4000



##========== 生产环境 ==========
#阿里云内网地址
####jdbc.url=jdbc:mysql://rm-wz9rps8173a1nx63g819.mysql.rds.aliyuncs.com:3306/kmall_pt?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8
#阿里云外网地址
#jdbc.url=jdbc:mysql://out-rm-wz9rps8173a1nx63gio.mysql.rds.aliyuncs.com:3306/kmall_pt?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8
#jdbc.username=kmall_pt
#jdbc.password=AFnwRBu!3q
#
#jdbc.initialSize=5
#jdbc.maxActive=30
#
#jdbc.minPoolSize=2
#jdbc.maxIdleTime=30000
#jdbc.idleConnectionTestPeriod=100
#
##---------- for hikari
#jdbc.driver=org.mariadb.jdbc.Driver
#jdbc.idleTimeout=400000
#jdbc.maxLifetime=500000
#jdbc.connectionTimeout=5000
#jdbc.maximumPoolSize=5
#jdbc.validationTimeout=4000


###========== 中网国际数据库开发环境 ==========
#jdbc.url=jdbc:mysql://120.76.84.45:3306/kmall_pt_global?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8
#jdbc.username=tuser
#jdbc.password=Qq!123
#
#jdbc.initialSize=5
#jdbc.maxActive=30
#
#jdbc.minPoolSize=2+
#jdbc.maxIdleTime=30000
#jdbc.idleConnectionTestPeriod=100
#
##---------- for hikari
#jdbc.driver=org.mariadb.jdbc.Driver
#jdbc.idleTimeout=400000
#jdbc.maxLifetime=500000
#jdbc.connectionTimeout=5000
#jdbc.maximumPoolSize=5
#jdbc.validationTimeout=4000


###========== 中网国际数据库生产环境 ==========
##阿里云外网地址
#jdbc.url=jdbc:mysql://out-rm-wz9rps8173a1nx63gio.mysql.rds.aliyuncs.com:3306/kmall_pt_global?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8
#jdbc.username=kmall_pt
#jdbc.password=AFnwRBu!3q
#
#jdbc.initialSize=5
#jdbc.maxActive=30
#
#jdbc.minPoolSize=2
#jdbc.maxIdleTime=30000
#jdbc.idleConnectionTestPeriod=100
#
##---------- for hikari
#jdbc.driver=org.mariadb.jdbc.Driver
#jdbc.idleTimeout=400000
#jdbc.maxLifetime=500000
#jdbc.connectionTimeout=5000
#jdbc.maximumPoolSize=5
#jdbc.validationTimeout=4000